commit d60eb9eb60966d03d8e46e247eaa6f314b6e3555
Author: CSILLAG Tamas <cstamas@cstamas.hu>
Date:   Thu Dec 26 18:04:51 2013 +0100

    support escaped spaces

diff --git a/scripts/uscan.pl b/scripts/uscan.pl
index 433f5e2..6cb9c19 100755
--- a/scripts/uscan.pl
+++ b/scripts/uscan.pl
@@ -1543,7 +1543,13 @@ EOF
 	    my $file_list;
 	    spawn(exec => ['find', $main_source_dir], wait_child => 1, to_string => \$file_list);
 	    my $nfiles_before = split /\n/, $file_list;
-	    foreach (grep { $_ } split /\s+/, $data->{"files-excluded"}) {
+	    my $filesexcluded = $data->{"files-excluded"};
+	    $filesexcluded =~ s!\n! !g;
+	    # see the thread for details http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=635920#127
+	    my @excluded = ($filesexcluded =~ /(?:\A|\G[ ]+)((?:\\.|[^\\ ])+)/g);
+	    # un-escape
+	    @excluded = map { s/\\(.)/$1/g; $_ } @excluded;
+	    foreach (@excluded) {
 		# delete trailing '/' because otherwise find -path will fail
 		s?/+$??;
 		# use rm -rf to enable deleting non-empty directories
